summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--README.adoc1
-rwxr-xr-xscripts/osmo-deps.sh10
2 files changed, 11 insertions, 0 deletions
diff --git a/README.adoc b/README.adoc
new file mode 100644
index 0000000..1174262
--- /dev/null
+++ b/README.adoc
@@ -0,0 +1 @@
+Scripts used for the CI handling and coverity uploads
diff --git a/scripts/osmo-deps.sh b/scripts/osmo-deps.sh
new file mode 100755
index 0000000..95081bd
--- /dev/null
+++ b/scripts/osmo-deps.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+if ! test -d $1;
+then
+ git clone git://git.osmocom.org/$1 $1
+fi
+
+cd $1
+git fetch origin
+git reset --hard origin/master